Skip to content
Account Profile & Status

Query Account Risk And Pi Info

This interface is used to retrieve the risk assessment information and Professional Investor (PI) certification details for a specified securities account. By providing the account number account_no, it returns whether the user is a professional investor is_pi, the PI expiration time, as well as the risk assessment level (A1-A5), assessment score, and applicable product type.

GEThttps://b-api.longbridge.xyz/v1/whaleapi/account/account_risk_and_pi_info

Authorization

AuthorizationstringheaderRequired

Send the Broker ACCESS_TOKEN as Authorization: Bearer <token>.

Parameters

account_nostringRequired

Account Number

Responses

HTTP 200Fields are taken from the real responses definition for this operation in the published Whale OpenAPI spec (whale-openapi/Whale-openapi.json).
Standard response envelopecodemessagedata
dataobjectdata structure
pi_infoobject

pi_info

Child attributes
is_piboolean

is_pi

pi_expire_timeinteger

过期时间

rpq_infoobject

rpq_info

Child attributes
risk_levelstring

risk_level

scoreinteger

score

productstring

product

HTTP 400Bad request. Check the business error code in code and the error details in message.
Standard response envelopecodemessagedata
dataobjectdata structure

No nested fields

HTTP 401The user is not authenticated, or the login session has expired.
Standard response envelopecodemessagedata
dataobjectdata structure

No nested fields

HTTP 403The current account is not authorized to use this feature. Grant the required permission to the account in User Permission.
Standard response envelopecodemessagedata
dataobjectdata structure

No nested fields

HTTP 408The request timed out. Check the business error code in code and the error details in message.
Standard response envelopecodemessagedata
dataobjectdata structure

No nested fields

Whale Docs